Subject: bug#12388: closed (Re: bug#12388: Emacs 24.2: Crash when maximizing frame on OS X 10.8)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Sep 2012 17:11:02 +0000

Your bug report

#12388: Emacs 24.2: Crash when maximizing frame on OS X 10.8

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12388: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12388
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12388: Emacs 24.2: Crash when maximizing frame on OS X 10.8
From: Jan Djärv <[email-masked]>
To: Arne Schmitz <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Sep 2012 19:10:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

10 sep 2012 kl. 20:23 skrev Arne Schmitz <[email-masked]>:

> A quick test of doing "M-x linum-mode" after startup allowed me to zoom / maximize without crash. But I will have to do a bit more testing if linum-mode indeed triggers the behaviour.
> 

Actually there is a bug here.  I fixed it in the trunk.

	Jan D.

Subject: Emacs 24.2: Crash when maximizing frame on OS X 10.8
From: Arne Schmitz <[email-masked]>
To: [email-masked]
Date: Sat, 08 Sep 2012 13:04:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

when I recently upgraded to OS X 10.8, my Emacs started crashing when hitting the Zoom button (+) of the window / frame. This does not happen all the time, but very often. I use the builds from emacsformacosx.com. I have attached the OS X crash report for this situation.

The crash does not happen when I run emacs with empty init.el. My init.el loads quite a bit of stuff (cedet, ecb etc). But I cannot determine a single point where it starts to go bad. I guess there might be some feature in Emacs that triggers the crash that is used by one ore more of the packages I load. Maybe the attached backtrace helps.

All the best,

Arne